# AppOp mode

An action block that checks the mode of an “application operation” (run-time permission) for an app.

The fiber will proceed immediately without pause.

Note! This feature isn’t officially supported, requires Android 4.3+ and the privileged service, may not work on all devices.

## Input arguments

- Package — package name of the app.
- Operation — operation to check.
- Mode — modes of operation to check for, default is Allowed.